Subject: [Pana] Result-Code values

From: Yoshihiro Ohba <[email-masked]>
Date: Wed, 25 Oct 2006 22:22:34 -0400

"
8.16.  Result-Code AVP

   The Result-Code AVP (AVP Code 16) is of type Unsigned32 and indicates
   whether an EAP authentication was completed successfully or whether
   an error occurred.  Here are Result-Code AVP values taken from
   [RFC3588] and adapted for PANA.
"

There would be no point to share the same result code values with RFC 3588.

Suggestion: Remove the last sentence of Section 8.16 and modify the
result code assignment as follows:

  Authentication Result Codes:

  PANA_SUCCESS                            0
  PANA_AUTHENTICATION_REJECTED            1
  PANA_AUTHORIZATION_REJECTED             2

  Protocol Error Result Codes: Assign continuous numbers, starting from 1001.

Yoshihiro Ohba

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana